> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stratumn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download files

> Downloads files from a given trace by id and digests



## OpenAPI

````yaml api-reference/open-api-v1.json get /trace/{traceId}/files
openapi: 3.0.0
info:
  title: Stratumn API
  description: Interact with Stratumn using simple REST endpoints
  version: 1.0.0
  contact: {}
servers:
  - url: http://api.local.stratumn.com:3000
    description: Local development server
  - url: https://api.stratumn.com
    description: Stratumn Production Server
  - url: https://api.us.stratumn.com
    description: Stratumn US Production Server
  - url: https://api.preprod.stratumn.com
    description: Stratumn Preprod Server
  - url: https://api.preprod.us.stratumn.com
    description: Stratumn US Preprod Server
security: []
tags: []
paths:
  /trace/{traceId}/files:
    get:
      tags:
        - Trace
      summary: Download files
      description: Downloads files from a given trace by id and digests
      operationId: TraceController_getFilesFromTrace
      parameters:
        - name: traceId
          required: true
          in: path
          description: The UUID of the trace
          schema:
            type: string
        - name: digests
          required: true
          in: query
          description: >-
            The list of digests of the files to download. All the files need to
            be in the trace
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: The zip archive containing the files
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````